sc::LineOpt(3)

NAME
sc::LineOpt -

The LineOpt abstract class is used to perform one dimensional optimizations.

SYNOPSIS

#include <opt.h>

Inherits sc::Optimize.

Inherited by sc::Backtrack, and sc::MCSearch.

  Public Member Functions
LineOpt (StateIn &)
LineOpt (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual void init (RefSCVector &direction)
Initializes the line search object.
virtual void init (RefSCVector &direction, Ref< Function > function)
Initializes the line search object.
void apply_transform (const Ref< NonlinearTransform > &)
Applies a nonlinear transform.
double decrease_factor ()
Returns factor for sufficient decrease test.
double set_decrease_factor (double factor)
Sets factor for sufficient decrease test.

  Protected Member Functions
int sufficient_decrease (RefSCVector &step)

  Protected Attributes
double decrease_factor_
RefSCVector initial_x_
double initial_value_
RefSCVector initial_grad_
RefSCVector search_direction_
Ref< Function > function_

Detailed Description

The LineOpt abstract class is used to perform one dimensional optimizations.

Member Function Documentation

  virtual void sc::LineOpt::init (RefSCVector & direction, Ref< Function > function) [virtual]

Initializes the line search object. First argument is a search direction, second argument is a function object to optimize. Use this method when a function must be passed to the Optimize base class.

Reimplemented in sc::MCSearch.

  virtual void sc::LineOpt::init (RefSCVector & direction) [virtual]

Initializes the line search object. Argument is a search direction. Use of this method assumes the Optimize base class already has a function object (got it from a keyval or elsewhere).

Reimplemented in sc::MCSearch.

  void sc::LineOpt::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::Optimize.

Author

Generated automatically by Doxygen for MPQC from the source code.